现象

执行以下命令

mvn spotless:apply

出现以下报错信息:

Execution default-cli of goal com.diffplug.spotless:spotless-maven-plugin:2.4.2:apply failed: java.lang.Exception: You are running Spotless on JRE 8, which limits you to google-java-format 1.7
[ERROR] If you upgrade your build JVM to 11+, then you can use google-java-format 1.9, which may have fixed this problem.

You are running Spotless on JRE 8, which limits you to google-java-format 1.7_java

原因

有一些类编译出错,大概率是合并分之后,有冲突没有解完,再往上会找到这个类。

You are running Spotless on JRE 8, which limits you to google-java-format 1.7_maven_02

解决

解决冲突,重新 mvn spotless:apply